Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network229.2.80.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
229.2.80.0
Broadcast address
229.2.95.255
First usable
229.2.80.1
Last usable
229.2.95.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E5025000 · Integer 3842134016 to 3842138111
Reverse DNS zones
80.2.229.in-addr.arpa
81.2.229.in-addr.arpa
82.2.229.in-addr.arpa
83.2.229.in-addr.arpa
84.2.229.in-addr.arpa
85.2.229.in-addr.arpa
86.2.229.in-addr.arpa
87.2.229.in-addr.arpa
88.2.229.in-addr.arpa
89.2.229.in-addr.arpa
90.2.229.in-addr.arpa
91.2.229.in-addr.arpa
92.2.229.in-addr.arpa
93.2.229.in-addr.arpa
94.2.229.in-addr.arpa
95.2.229.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100101.00000010.01010000.00000000229.2.80.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network11100101.00000010.01010000.00000000229.2.80.0
Broadcast11100101.00000010.01011111.11111111229.2.95.255
Split into smaller subnets/27

229.2.80.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1229.2.80.0/27229.2.80.1 to 229.2.80.30229.2.80.3130
2229.2.80.32/27229.2.80.33 to 229.2.80.62229.2.80.6330
3229.2.80.64/27229.2.80.65 to 229.2.80.94229.2.80.9530
4229.2.80.96/27229.2.80.97 to 229.2.80.126229.2.80.12730
5229.2.80.128/27229.2.80.129 to 229.2.80.158229.2.80.15930
6229.2.80.160/27229.2.80.161 to 229.2.80.190229.2.80.19130
7229.2.80.192/27229.2.80.193 to 229.2.80.222229.2.80.22330
8229.2.80.224/27229.2.80.225 to 229.2.80.254229.2.80.25530
9229.2.81.0/27229.2.81.1 to 229.2.81.30229.2.81.3130
10229.2.81.32/27229.2.81.33 to 229.2.81.62229.2.81.6330
11229.2.81.64/27229.2.81.65 to 229.2.81.94229.2.81.9530
12229.2.81.96/27229.2.81.97 to 229.2.81.126229.2.81.12730
13229.2.81.128/27229.2.81.129 to 229.2.81.158229.2.81.15930
14229.2.81.160/27229.2.81.161 to 229.2.81.190229.2.81.19130
15229.2.81.192/27229.2.81.193 to 229.2.81.222229.2.81.22330
16229.2.81.224/27229.2.81.225 to 229.2.81.254229.2.81.25530
17229.2.82.0/27229.2.82.1 to 229.2.82.30229.2.82.3130
18229.2.82.32/27229.2.82.33 to 229.2.82.62229.2.82.6330
19229.2.82.64/27229.2.82.65 to 229.2.82.94229.2.82.9530
20229.2.82.96/27229.2.82.97 to 229.2.82.126229.2.82.12730
21229.2.82.128/27229.2.82.129 to 229.2.82.158229.2.82.15930
22229.2.82.160/27229.2.82.161 to 229.2.82.190229.2.82.19130
23229.2.82.192/27229.2.82.193 to 229.2.82.222229.2.82.22330
24229.2.82.224/27229.2.82.225 to 229.2.82.254229.2.82.25530
25229.2.83.0/27229.2.83.1 to 229.2.83.30229.2.83.3130
26229.2.83.32/27229.2.83.33 to 229.2.83.62229.2.83.6330
27229.2.83.64/27229.2.83.65 to 229.2.83.94229.2.83.9530
28229.2.83.96/27229.2.83.97 to 229.2.83.126229.2.83.12730
29229.2.83.128/27229.2.83.129 to 229.2.83.158229.2.83.15930
30229.2.83.160/27229.2.83.161 to 229.2.83.190229.2.83.19130
31229.2.83.192/27229.2.83.193 to 229.2.83.222229.2.83.22330
32229.2.83.224/27229.2.83.225 to 229.2.83.254229.2.83.25530
33229.2.84.0/27229.2.84.1 to 229.2.84.30229.2.84.3130
34229.2.84.32/27229.2.84.33 to 229.2.84.62229.2.84.6330
35229.2.84.64/27229.2.84.65 to 229.2.84.94229.2.84.9530
36229.2.84.96/27229.2.84.97 to 229.2.84.126229.2.84.12730
37229.2.84.128/27229.2.84.129 to 229.2.84.158229.2.84.15930
38229.2.84.160/27229.2.84.161 to 229.2.84.190229.2.84.19130
39229.2.84.192/27229.2.84.193 to 229.2.84.222229.2.84.22330
40229.2.84.224/27229.2.84.225 to 229.2.84.254229.2.84.25530
41229.2.85.0/27229.2.85.1 to 229.2.85.30229.2.85.3130
42229.2.85.32/27229.2.85.33 to 229.2.85.62229.2.85.6330
43229.2.85.64/27229.2.85.65 to 229.2.85.94229.2.85.9530
44229.2.85.96/27229.2.85.97 to 229.2.85.126229.2.85.12730
45229.2.85.128/27229.2.85.129 to 229.2.85.158229.2.85.15930
46229.2.85.160/27229.2.85.161 to 229.2.85.190229.2.85.19130
47229.2.85.192/27229.2.85.193 to 229.2.85.222229.2.85.22330
48229.2.85.224/27229.2.85.225 to 229.2.85.254229.2.85.25530
49229.2.86.0/27229.2.86.1 to 229.2.86.30229.2.86.3130
50229.2.86.32/27229.2.86.33 to 229.2.86.62229.2.86.6330
51229.2.86.64/27229.2.86.65 to 229.2.86.94229.2.86.9530
52229.2.86.96/27229.2.86.97 to 229.2.86.126229.2.86.12730
53229.2.86.128/27229.2.86.129 to 229.2.86.158229.2.86.15930
54229.2.86.160/27229.2.86.161 to 229.2.86.190229.2.86.19130
55229.2.86.192/27229.2.86.193 to 229.2.86.222229.2.86.22330
56229.2.86.224/27229.2.86.225 to 229.2.86.254229.2.86.25530
57229.2.87.0/27229.2.87.1 to 229.2.87.30229.2.87.3130
58229.2.87.32/27229.2.87.33 to 229.2.87.62229.2.87.6330
59229.2.87.64/27229.2.87.65 to 229.2.87.94229.2.87.9530
60229.2.87.96/27229.2.87.97 to 229.2.87.126229.2.87.12730
61229.2.87.128/27229.2.87.129 to 229.2.87.158229.2.87.15930
62229.2.87.160/27229.2.87.161 to 229.2.87.190229.2.87.19130
63229.2.87.192/27229.2.87.193 to 229.2.87.222229.2.87.22330
64229.2.87.224/27229.2.87.225 to 229.2.87.254229.2.87.25530
65229.2.88.0/27229.2.88.1 to 229.2.88.30229.2.88.3130
66229.2.88.32/27229.2.88.33 to 229.2.88.62229.2.88.6330
67229.2.88.64/27229.2.88.65 to 229.2.88.94229.2.88.9530
68229.2.88.96/27229.2.88.97 to 229.2.88.126229.2.88.12730
69229.2.88.128/27229.2.88.129 to 229.2.88.158229.2.88.15930
70229.2.88.160/27229.2.88.161 to 229.2.88.190229.2.88.19130
71229.2.88.192/27229.2.88.193 to 229.2.88.222229.2.88.22330
72229.2.88.224/27229.2.88.225 to 229.2.88.254229.2.88.25530
73229.2.89.0/27229.2.89.1 to 229.2.89.30229.2.89.3130
74229.2.89.32/27229.2.89.33 to 229.2.89.62229.2.89.6330
75229.2.89.64/27229.2.89.65 to 229.2.89.94229.2.89.9530
76229.2.89.96/27229.2.89.97 to 229.2.89.126229.2.89.12730
77229.2.89.128/27229.2.89.129 to 229.2.89.158229.2.89.15930
78229.2.89.160/27229.2.89.161 to 229.2.89.190229.2.89.19130
79229.2.89.192/27229.2.89.193 to 229.2.89.222229.2.89.22330
80229.2.89.224/27229.2.89.225 to 229.2.89.254229.2.89.25530
81229.2.90.0/27229.2.90.1 to 229.2.90.30229.2.90.3130
82229.2.90.32/27229.2.90.33 to 229.2.90.62229.2.90.6330
83229.2.90.64/27229.2.90.65 to 229.2.90.94229.2.90.9530
84229.2.90.96/27229.2.90.97 to 229.2.90.126229.2.90.12730
85229.2.90.128/27229.2.90.129 to 229.2.90.158229.2.90.15930
86229.2.90.160/27229.2.90.161 to 229.2.90.190229.2.90.19130
87229.2.90.192/27229.2.90.193 to 229.2.90.222229.2.90.22330
88229.2.90.224/27229.2.90.225 to 229.2.90.254229.2.90.25530
89229.2.91.0/27229.2.91.1 to 229.2.91.30229.2.91.3130
90229.2.91.32/27229.2.91.33 to 229.2.91.62229.2.91.6330
91229.2.91.64/27229.2.91.65 to 229.2.91.94229.2.91.9530
92229.2.91.96/27229.2.91.97 to 229.2.91.126229.2.91.12730
93229.2.91.128/27229.2.91.129 to 229.2.91.158229.2.91.15930
94229.2.91.160/27229.2.91.161 to 229.2.91.190229.2.91.19130
95229.2.91.192/27229.2.91.193 to 229.2.91.222229.2.91.22330
96229.2.91.224/27229.2.91.225 to 229.2.91.254229.2.91.25530
97229.2.92.0/27229.2.92.1 to 229.2.92.30229.2.92.3130
98229.2.92.32/27229.2.92.33 to 229.2.92.62229.2.92.6330
99229.2.92.64/27229.2.92.65 to 229.2.92.94229.2.92.9530
100229.2.92.96/27229.2.92.97 to 229.2.92.126229.2.92.12730
101229.2.92.128/27229.2.92.129 to 229.2.92.158229.2.92.15930
102229.2.92.160/27229.2.92.161 to 229.2.92.190229.2.92.19130
103229.2.92.192/27229.2.92.193 to 229.2.92.222229.2.92.22330
104229.2.92.224/27229.2.92.225 to 229.2.92.254229.2.92.25530
105229.2.93.0/27229.2.93.1 to 229.2.93.30229.2.93.3130
106229.2.93.32/27229.2.93.33 to 229.2.93.62229.2.93.6330
107229.2.93.64/27229.2.93.65 to 229.2.93.94229.2.93.9530
108229.2.93.96/27229.2.93.97 to 229.2.93.126229.2.93.12730
109229.2.93.128/27229.2.93.129 to 229.2.93.158229.2.93.15930
110229.2.93.160/27229.2.93.161 to 229.2.93.190229.2.93.19130
111229.2.93.192/27229.2.93.193 to 229.2.93.222229.2.93.22330
112229.2.93.224/27229.2.93.225 to 229.2.93.254229.2.93.25530
113229.2.94.0/27229.2.94.1 to 229.2.94.30229.2.94.3130
114229.2.94.32/27229.2.94.33 to 229.2.94.62229.2.94.6330
115229.2.94.64/27229.2.94.65 to 229.2.94.94229.2.94.9530
116229.2.94.96/27229.2.94.97 to 229.2.94.126229.2.94.12730
117229.2.94.128/27229.2.94.129 to 229.2.94.158229.2.94.15930
118229.2.94.160/27229.2.94.161 to 229.2.94.190229.2.94.19130
119229.2.94.192/27229.2.94.193 to 229.2.94.222229.2.94.22330
120229.2.94.224/27229.2.94.225 to 229.2.94.254229.2.94.25530
121229.2.95.0/27229.2.95.1 to 229.2.95.30229.2.95.3130
122229.2.95.32/27229.2.95.33 to 229.2.95.62229.2.95.6330
123229.2.95.64/27229.2.95.65 to 229.2.95.94229.2.95.9530
124229.2.95.96/27229.2.95.97 to 229.2.95.126229.2.95.12730
125229.2.95.128/27229.2.95.129 to 229.2.95.158229.2.95.15930
126229.2.95.160/27229.2.95.161 to 229.2.95.190229.2.95.19130
127229.2.95.192/27229.2.95.193 to 229.2.95.222229.2.95.22330
128229.2.95.224/27229.2.95.225 to 229.2.95.254229.2.95.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses